## org.apache.felix.bundleplugin
Class WrapPlugin

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.felix.bundleplugin.BundlePlugin
              org.apache.felix.bundleplugin.ManifestPlugin
                  org.apache.felix.bundleplugin.BundleAllPlugin
                      org.apache.felix.bundleplugin.WrapPlugin

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Deprecated. The wrap goal is no longer supported and may be removed in a future release

    @Deprecated
    public final class WrapPlugin

extends BundleAllPlugin

Field Summary

Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin
`classifier, dumpClasspath, dumpInstructions, excludeDependencies, manifestLocation, supportedProjectTypes, unpackBundle`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`WrapPlugin()` Deprecated.

Method Summary
`void` `execute()` Deprecated.

Methods inherited from class org.apache.felix.bundleplugin.BundleAllPlugin
`bundle, bundleAll, getFile, getOutputFile, logDuplicatedPackages, snapshotMatch`

Methods inherited from class org.apache.felix.bundleplugin.ManifestPlugin
`execute, getAnalyzer, getAnalyzer, getManifest, getManifest, writeManifest`

Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

`addMavenInstructions, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, execute, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeMavenManifest, removeTagFromInstruction, reportErrors, setBuildDirectory, setMaven2OsgiConverter, setOutputDirectory, transformDirectives`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrapPlugin

    public WrapPlugin()

  Deprecated.

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Deprecated.
  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `BundleAllPlugin`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
  See Also:
    `Mojo.execute()`

Copyright © 2011. All Rights Reserved.